<?php
/***************************************
  Class - Employee Columns
****************************************/

defined( 'ABSPATH' ) or die( 'No script kiddies please!' );

class YSP_Business_Employee_Admin_Columns {

	public function __construct() {
		add_filter( 'manage_edit-employee_columns', array( $this, 'edit_employee_columns' ) );
		add_action( 'manage_employee_posts_custom_column', array( $this, 'manage_employee_columns' ), 10, 2 );
	}

	public function edit_employee_columns( $columns ) {
		unset( $columns['date'] );
		unset( $columns['comments'] );
		unset( $columns['author'] );
		unset( $columns['page_title_visibility'] );
		unset( $columns['spacing_before_content'] );
		unset( $columns['spacing_after_content'] );

		$employee_columns = array(
            'employee_position'      => __( 'Position', 'ysp-business' ),
            'employee_email_address' => __( 'Email address', 'ysp-business' ),
            'employee_phone_number'  => __( 'Phone number', 'ysp-business' ),
			'f_image'                => __( 'Featured image', 'ysp-business' ),
		);

		return array_merge( $columns, $employee_columns );
	}

	public function manage_employee_columns( $column, $post_id ) {

		$position      = get_post_meta( $post_id, '_employee_position', true );
		$email_address = get_post_meta( $post_id, '_employee_email_address', true );
		$phone_number  = get_post_meta( $post_id, '_employee_phone_number', true );

		switch ( $column ) {
			case 'employee_position':
				echo (!empty($position)) ? $position : '<span class="dashicons dashicons-minus wp-ui-text-notification"></span>';
				break;
			case 'employee_email_address':
				echo (!empty($email_address)) ? $email_address : '<span class="dashicons dashicons-minus wp-ui-text-notification"></span>';
				break;
			case 'employee_phone_number':
				echo (!empty($phone_number)) ? $phone_number : '<span class="dashicons dashicons-minus wp-ui-text-notification"></span>';
				break;
			case 'f_image':
                echo wp_get_attachment_image( get_post_thumbnail_id( $post_id ), array( 75, 75 ), 0 );
				break;
		}
	}
}

new YSP_Business_Employee_Admin_Columns();