<?php
/***************************************
  Class - Office Columns
****************************************/

defined( 'ABSPATH' ) or die( 'No script kiddies please!' );

class YSP_Business_Office_Admin_Columns {

	public function __construct() {
		add_filter( 'manage_edit-office_columns', array( $this, 'edit_office_columns' ) );
		add_action( 'manage_office_posts_custom_column', array( $this, 'manage_office_columns' ), 10, 2 );
	}

	public function edit_office_columns( $columns ) {
		unset( $columns['date'] );
		unset( $columns['page_title_visibility'] );
		unset( $columns['spacing_before_content'] );
		unset( $columns['spacing_after_content'] );

		$office_columns = array(
            'office_address'      => __( 'Address', 'ysp-business' ),
            'office_email_address' => __( 'Email address', 'ysp-business' ),
            'office_phone_number'  => __( 'Phone number', 'ysp-business' ),
			'f_image'   =>  __( 'Featured image', 'ysp-business' ),
        );

		return array_merge( $columns, $office_columns );
	}

	public function manage_office_columns( $column, $post_id ) {

		$address      = get_post_meta( $post_id, '_office_address', true );
		$email_address = get_post_meta( $post_id, '_office_email_address', true );
		$phone_number  = get_post_meta( $post_id, '_office_phone_number', true );

		switch ( $column ) {
			case 'office_address':
				echo (!empty($address)) ? $address : '<span class="dashicons dashicons-minus wp-ui-text-notification"></span>';
				break;
			case 'office_email_address':
				echo (!empty($email_address)) ? $email_address : '<span class="dashicons dashicons-minus wp-ui-text-notification"></span>';
				break;
			case 'office_phone_number':
				echo (!empty($phone_number)) ? $phone_number : '<span class="dashicons dashicons-minus wp-ui-text-notification"></span>';
				break;
			case 'f_image':
                echo wp_get_attachment_image( get_post_thumbnail_id( $post_id ), array( 75, 75 ), 0 );
				break;
		}
	}
}

new YSP_Business_Office_Admin_Columns();