<?php
/***************************************
  Custom Post Type - Office
****************************************/

defined( 'ABSPATH' ) or die( 'No script kiddies please!' );

if ( ! function_exists('cpt_office') ) {

    // Register Custom Post Type
    function cpt_office() {

        $labels = array(
            'name'                  => _x( 'Offices', 'Post Type General Name', 'ysp-business' ),
            'singular_name'         => _x( 'Office', 'Post Type Singular Name', 'ysp-business' ),
            'menu_name'             => __( 'Offices', 'ysp-business' ),
            'name_admin_bar'        => __( 'Office', 'ysp-business' ),
        );
        $args = array(
            'label'                 => __( 'Office', 'ysp-business' ),
            'description'           => __( 'The offices of your business', 'ysp-business' ),
            'labels'                => $labels,
            'supports'              => array( 'title', 'editor', 'excerpt', 'thumbnail', 'page-attributes' ),
            'taxonomies'            => array( 'office_location', 'office_category' ),
            'hierarchical'          => false,
            'public'                => true,
            'show_ui'               => true,
            'show_in_menu'          => true,
            'menu_position'         => 25,
            'menu_icon'             => 'dashicons-admin-multisite',
            'show_in_admin_bar'     => true,
            'show_in_nav_menus'     => true,
            'can_export'            => true,
            'has_archive'           => true,
            'exclude_from_search'   => false,
            'publicly_queryable'    => true,
            'capability_type'       => 'page',
        );
        register_post_type( 'office', $args );

    }
    add_action( 'init', 'cpt_office', 0 );

}