<?php
/**
 * VC Integration - Employee Single
 *
 * @since 1.0
 */

class YSP_Business_Employee_Single_Shortcode {

	public function __construct() {
		add_shortcode( 'ysp_business_employee', array( $this, 'ysp_business_employee_single' ) );
	}

	public function ysp_business_employee_single( $atts ) {
		$options = shortcode_atts(
			array(
				'employee_id'       =>  false,
				'img_size'          =>  'full',
				'link_single'       =>  false,
				'hide_position'     =>  false,
				'label_position'    =>  false,
				'hide_email'        =>  false,
				'label_email'       =>  false,
				'hide_phone'        =>  false,
				'label_phone'       =>  false,
		        'hide_linkedin'     =>  false,
		        'label_linkedin'    =>  false,
				'class'             =>  '',
			),
			$atts,
			'ysp_business_employee'
		);

        // Enqueue Style
		wp_enqueue_style( 'ysp-business' );

        // Enqueue Script
        wp_enqueue_script( 'ysp-business' );

		$output = '';

		// Add custom class
		$custom_css = YSP_Business_Helpers::generate_css_class(
			array(
				'c-employee-single',
				$options['class'],
			),
			true
		);

        $args = array(
            'post_id'           =>  $options['employee_id'],
            'img_size'          =>  $options['img_size'],
            'link_single'       =>  $options['link_single'],
            'hide_position'     =>  $options['hide_position'],
            'label_position'    =>  $options['label_position'],
            'hide_email'        =>  $options['hide_email'],
            'label_email'       =>  $options['label_email'],
            'hide_phone'        =>  $options['hide_phone'],
            'label_phone'       =>  $options['label_phone'],
            'hide_linkedin'     =>  $options['hide_linkedin'],
            'label_linkedin'    =>  $options['label_linkedin'],
        );

        $employee = new Business_Employee_Template();

        $employee->setArgs( $args );

        $employee_list = $employee->render();

        // Wrap all output.
        $output = '<div class="' . $custom_css . '">' . $employee_list . '</div>';

        return $output;
	}
}
new YSP_Business_Employee_Single_Shortcode();