<?php
/**
 * VC Shortcode - Office List
 *
 * @since 1.0
 */

class YSP_Business_Office_List_Shortcode {

	public function __construct() {
		add_shortcode( 'ysp_business_office_list', array( $this, 'ysp_business_office_list' ) );
	}

	public function ysp_business_office_list( $atts ) {
		$options = shortcode_atts(
			array(
				'per_line'          =>  '2',
				'category_id'       =>  false,
				'img_size'          =>  'full',
				'link_single'       =>  false,
				'hide_address'      =>  false,
				'label_address'     =>  false,
				'hide_email'        =>  false,
				'label_email'       =>  false,
				'hide_phone'        =>  false,
				'label_phone'       =>  false,
		        'hide_linkedin'     =>  false,
		        'label_linkedin'    =>  false,
				'orderby'           =>  'menu_order',
				'order'             =>  'ASC',
				'class'             =>  '',
			),
			$atts,
			'ysp_business_office_list'
		);

		$filter_query = array(
			'post_type'      => 'office',
			'posts_per_page' => -1,
			'orderby'        => $options['orderby'],
			'order'          => $options['order'],
		);

		if ( $options['category_id'] ) {
			$filter_query['tax_query'] = array(
				array(
					'taxonomy' => 'office_category',
					'field'    => 'term_id',
					'terms'    => array( $options['category_id'] ),
				),
			);
		}

        // Enqueue Style
		wp_enqueue_style( 'ysp-business' );

		$output = $office_list = '';

		// Add custom class
		$customCss = YSP_Business_Helpers::generate_css_class(
			array(
				'c-office-list',
				$options['class'],
				'c-office-show-' . $options['per_line'],
			),
			true
		);

		$the_query = new WP_query( $filter_query );

		if ( $the_query->have_posts() ) {

			$office = new Business_Office_Template();

			while ( $the_query->have_posts() ) {
				$the_query->the_post();

				$args = array(
					'post_id'           =>  get_the_ID(),
					'img_size'          =>  $options['img_size'],
					'link_single'       =>  $options['link_single'],
                    'hide_address'      =>  $options['hide_address'],
                    'label_address'     =>  $options['label_address'],
                    'hide_email'        =>  $options['hide_email'],
                    'label_email'       =>  $options['label_email'],
                    'hide_phone'        =>  $options['hide_phone'],
                    'label_phone'       =>  $options['label_phone'],
                    'hide_linkedin'     =>  $options['hide_linkedin'],
                    'label_linkedin'    =>  $options['label_linkedin'],
				);

				$office->setArgs( $args );

				$office_list .= $office->render();

			}
			wp_reset_postdata();
		}

		// Wrap all output.
		$output = '<div class="' . $customCss . '">' . $office_list . '</div>';

		return $output;
	}

}
new YSP_Business_Office_List_Shortcode();