<?php
/**
 * VC Integration - Office Single
 *
 * @since 1.0
 */

class YSP_Business_Office_Single_Shortcode {

	public function __construct() {
		add_shortcode( 'ysp_business_office', array( $this, 'ysp_business_office_single' ) );
	}

	public function ysp_business_office_single( $atts ) {
		$options = shortcode_atts(
			array(
				'office_id'        => false,
				'img_size'         => 'full',
				'link_single'      => false,
				'hide_address'     => false,
				'label_address'    => false,
				'hide_email'       => false,
				'label_email'      => false,
				'hide_phone'       => false,
				'label_phone'      => false,
		        'hide_linkedin'    => false,
		        'label_linkedin'   => false,
				'class'            => '',
			),
			$atts,
			'ysp_business_office'
		);

        // Enqueue Style
		wp_enqueue_style( 'ysp-business' );

		$output = '';

		// Add custom class
		$custom_css = YSP_Business_Helpers::generate_css_class(
			array(
				'c-office-single',
				$options['class'],
			),
			true
		);

        $args = array(
            'post_id'           =>  $options['office_id'],
            'img_size'          =>  $options['img_size'],
            'link_single'       =>  $options['link_single'],
            'hide_address'      =>  $options['hide_address'],
            'label_address'     =>  $options['label_address'],
            'hide_email'        =>  $options['hide_email'],
            'label_email'       =>  $options['label_email'],
            'hide_phone'        =>  $options['hide_phone'],
            'label_phone'       =>  $options['label_phone'],
            'hide_linkedin'     =>  $options['hide_linkedin'],
            'label_linkedin'    =>  $options['label_linkedin'],
        );

        $office = new Business_Office_Template();

        $office->setArgs( $args );

        $office_list = $office->render();

        // Wrap all output.
        $output = '<div class="' . $custom_css . '">' . $office_list . '</div>';

        return $output;
	}
}
new YSP_Business_Office_Single_Shortcode();