<?php
/**
 * VC Integration - Employee List
 *
 * @since 1.0
 */

add_action( 'vc_before_init', 'ysp_business_employee_list_integrateWithVC' );

function ysp_business_employee_list_integrateWithVC() {
	$params = array();

	$params[] = array(
		'type'        => 'dropdown',
		'heading'     => __( 'Items per line', 'ysp-business' ),
		'param_name'  => 'per_line',
		'admin_label' => true,
		'value'       => array(
			'Two'    => '2',
			'Three'  => '3',
			'Four'   => '4',
			'Five'   => '5',
			'Six'    => '6',
			'Custom' => 'custom',
		),
		'std'         => '2',
		'description' => __( 'Select how many items to show per line. Set custom to provide your own custom number in CSS (customizer)', 'ysp-business' ),
	);

	$params[] = array(
		'type'        => 'dropdown',
		'heading'     => __( 'Category', 'ysp-business' ),
		'param_name'  => 'category_id',
		'admin_label' => true,
		'description' => __( 'Filter by Category', 'ysp-business' ),
		'value'       => YSP_Business_Helpers::get_term_list( 'employee_category' ),
		'std'         => '',
	);

	$params[] = array(
		'type'        => 'dropdown',
		'heading'     => __( 'Office', 'ysp-business' ),
		'param_name'  => 'office_id',
		'admin_label' => true,
		'description' => __( 'Filter by Office', 'ysp-business' ),
		'value'       => YSP_Business_Helpers::generate_post_list( 'office', false, true ),
		'std'         => '',
	);

	$params[] = array(
		'type'        => 'dropdown',
		'heading'     => __( 'Featured image size', 'ysp-business' ),
		'param_name'  => 'img_size',
		'admin_label' => true,
		'value'       => YSP_Business_Helpers::get_image_sizes(),
		'std'         => 'full',
		'description' => __( 'Select appropriate image size for the current column setup (default: full)', 'ysp-business' ),
	);

	$params[] = array(
		'type'        => 'dropdown',
		'heading'     => __( 'On click', 'ysp-business' ),
		'admin_label' => true,
		'param_name'  => 'link_single',
		'value'       => array(
            __( 'Not clickable', 'ysp-business' ) => 'false',
            __( 'Link to Single', 'ysp-business' ) => 'true',
            __( 'Open as Popup', 'ysp-business' ) => 'popup'
        ),
		'description' => __( 'By default items doesn\'t link to the single page', 'ysp-business' ),
	);

	$params[] = array(
		'type'        => 'dropdown',
		'heading'     => __( 'Position', YSP_BUSINESS_TEXT_DOMAIN ),
		'param_name'  => 'hide_position',
		'admin_label' => true,
		'value'       => array(
            __( 'Default', 'ysp-business' ) => '',
            __( 'Hide', 'ysp-business' ) => 'true',
            __( 'Custom', 'ysp-business' ) => 'custom',
        ),
        'std'         => 'true',
		'group'       => __( 'Labels', YSP_BUSINESS_TEXT_DOMAIN ),
	);

	$params[] = array(
		'type'        => 'textfield',
		'heading'     => '',
		'param_name'  => 'label_position',
		'value'       => '',
		'group'       => __( 'Labels', YSP_BUSINESS_TEXT_DOMAIN ),
		'description' => __( 'Add a custom position label', YSP_BUSINESS_TEXT_DOMAIN ),
        'dependency'  => array(
            'element' => 'hide_position',
            'value' => 'custom',
        ),
	);

	$params[] = array(
		'type'        => 'dropdown',
		'heading'     => __( 'Email address', YSP_BUSINESS_TEXT_DOMAIN ),
		'param_name'  => 'hide_email',
		'admin_label' => true,
		'value'       => array(
            __( 'Default', 'ysp-business' ) => '',
            __( 'Hide', 'ysp-business' ) => 'true',
            __( 'Custom', 'ysp-business' ) => 'custom',
        ),
        'std'         => '',
		'group'       => __( 'Labels', YSP_BUSINESS_TEXT_DOMAIN ),
	);

	$params[] = array(
		'type'        => 'textfield',
		'heading'     => '',
		'param_name'  => 'label_email',
		'value'       => '',
		'group'       => __( 'Labels', YSP_BUSINESS_TEXT_DOMAIN ),
		'description' => __( 'Add a custom email address label', YSP_BUSINESS_TEXT_DOMAIN ),
        'dependency'  => array(
            'element' => 'hide_email',
            'value' => 'custom',
        ),
	);

	$params[] = array(
		'type'        => 'dropdown',
		'heading'     => __( 'Phone number', YSP_BUSINESS_TEXT_DOMAIN ),
		'param_name'  => 'hide_phone',
		'admin_label' => true,
		'value'       => array(
            __( 'Default', 'ysp-business' ) => '',
            __( 'Hide', 'ysp-business' ) => 'true',
            __( 'Custom', 'ysp-business' ) => 'custom',
        ),
        'std'         => '',
		'group'       => __( 'Labels', YSP_BUSINESS_TEXT_DOMAIN ),
	);

	$params[] = array(
		'type'        => 'textfield',
		'heading'     => '',
		'param_name'  => 'label_phone',
		'value'       => '',
		'group'       => __( 'Labels', YSP_BUSINESS_TEXT_DOMAIN ),
		'description' => __( 'Add a custom phone number label', YSP_BUSINESS_TEXT_DOMAIN ),
        'dependency'  => array(
            'element' => 'hide_phone',
            'value' => 'custom',
        ),
	);

	$params[] = array(
		'type'        => 'dropdown',
		'heading'     => __( 'LinkedIn', YSP_BUSINESS_TEXT_DOMAIN ),
		'param_name'  => 'hide_linkedin',
		'admin_label' => true,
		'value'       => array(
            __( 'Default', 'ysp-business' ) => '',
            __( 'Hide', 'ysp-business' ) => 'true',
            __( 'Custom', 'ysp-business' ) => 'custom',
        ),
        'std'         => '',
		'group'       => __( 'Labels', YSP_BUSINESS_TEXT_DOMAIN ),
	);

	$params[] = array(
		'type'        => 'textfield',
		'heading'     => '',
		'param_name'  => 'label_linkedin',
		'value'       => '',
		'group'       => __( 'Labels', YSP_BUSINESS_TEXT_DOMAIN ),
		'description' => __( 'Add a custom LinkedIn label', YSP_BUSINESS_TEXT_DOMAIN ),
        'dependency'  => array(
            'element' => 'hide_linkedin',
            'value' => 'custom',
        ),
	);

	$params[] = array(
		'type'        => 'dropdown',
		'heading'     => __( 'Order by', 'ysp-business' ),
		'param_name'  => 'orderby',
		'admin_label' => true,
		'value'       => array(
			__( 'Date', 'ysp-business' )       => 'date',
			__( 'Menu order', 'ysp-business' ) => 'menu_order',
			__( 'Random', 'ysp-business' )     => 'rand',
		),
		'std'         => 'menu_order',
		'group'       => __( 'Order', 'ysp-business' ),
		'description' => __( 'Select order by (default: Menu Order)', 'ysp-business' ),
	);

	$params[] = array(
		'type'        => 'dropdown',
		'heading'     => __( 'Order', 'ysp-business' ),
		'param_name'  => 'order',
		'admin_label' => true,
		'value'       => array(
			__( 'Ascendent', 'ysp-business' )  => 'ASC',
			__( 'Descendent', 'ysp-business' ) => 'DESC',
		),
		'std'         => 'ASC',
		'group'       => __( 'Order', 'ysp-business' ),
		'description' => __( 'Select order of posts (default: Ascendent)', 'ysp-business' ),
	);

	$params[] = array(
		'type'        => 'textfield',
		'class'       => '',
		'heading'     => __( 'Custom CSS class', 'ysp-business' ),
		'param_name'  => 'class',
		'admin_label' => true,
		'value'       => '',
		'group'       => __( 'Advanced', 'ysp-business' ),
		'description' => __( 'Custom css class', 'ysp-business' ),
	);

	vc_map(
		array(
			'name'        => __( 'Employee List', 'ysp-business' ),
			'base'        => 'ysp_business_employee_list',
			'class'       => '',
			'category'    => __( 'Business', 'ysp-business' ),
			'description' => __( 'A static list of employees', 'ysp-business' ),
			'params'      => $params,
			'icon'        => YSP_BUSINESS_VC_SYMBOL,
		)
	);
}