<?php
/**
 * VC Integration - Office slider
 *
 * @since 1.0
 */

add_action( 'vc_before_init', 'ysp_business_office_slider_integrateWithVC' );

function ysp_business_office_slider_integrateWithVC() {
    $params = array();

    $params[] = array(
        'type'        => 'dropdown',
        'heading'     => __( 'Items per line', 'ysp-business' ),
        'param_name'  => 'slides',
        'value'       => array(
            'Two'   => '2',
            'Three' => '3',
            'Four'  => '4',
            'Five'  => '5',
            'Six'   => '6',
        ),
        'std'         => '4',
        'description' => __( 'Set the number of slides visible on large screen', 'ysp-business' ),
    );

    $params[] = array(
        'type'        => 'dropdown',
        'heading'     => 'Location',
        'param_name'  => 'location_id',
        'admin_label' => true,
        'value'       => YSP_Business_Helpers::get_term_list( 'office_location' ),
        'std'         => '',
        'description' => __( 'Select location', 'ysp-business' ),
    );

    $params[] = array(
        'type'        => 'dropdown',
        'heading'     => 'Type',
        'param_name'  => 'type_id',
        'admin_label' => true,
        'value'       => YSP_Business_Helpers::get_term_list( 'office_category' ),
        'std'         => '',
        'description' => __( 'Select type', 'ysp-business' ),
    );

    $params[] = array(
        'type'        => 'dropdown',
        'heading'     => __( 'Featured image size', 'ysp-business' ),
        'param_name'  => 'img_size',
        'admin_label' => true,
        'value'       => YSP_Business_Helpers::get_image_sizes(),
        'std'         => 'full',
        'description' => __( 'Select appropriate image size for the current column setup (default: full)', 'ysp-business' ),
    );

    $params[] = array(
        'type'        => 'checkbox',
        'heading'     => __( 'Enable single page link', 'ysp-business' ),
        'admin_label' => true,
        'param_name'  => 'link_single',
        'value'       => array( __( 'Yes', 'ysp-business' ) => 'true' ),
        'description' => __( 'By default items doesn\'t link to the single page', 'ysp-business' ),
    );

    $params[] = array(
        'type'        => 'checkbox',
        'heading'     => __( 'Slider autoplay', 'ysp-business' ),
        'admin_label' => true,
        'param_name'  => 'slider_autoplay',
        'value'       => array( __( 'Yes', 'ysp-business' ) => 'true' ),
        'description' => __( 'Enable automatic playing of the slides.', 'ysp-business' ),
        'group'       => __( 'Slider', 'ysp-business' ),
    );

    $params[] = array(
        'type'        => 'textfield',
        'heading'     => __( 'Slider speed', 'ysp-business' ),
        'param_name'  => 'slider_speed',
        'admin_label' => true,
        'value'       => '',
        'group'       => __( 'Slider', 'ysp-business' ),
        'description' => __( 'default: 5000 (miliseconds)', 'ysp-business' ),
    );

    $params[] = array(
        'type'        => 'checkbox',
        'heading'     => __( 'Slider loop', 'ysp-business' ),
        'admin_label' => true,
        'param_name'  => 'slider_loop',
        'value'       => array( __( 'Yes', 'ysp-business' ) => 'true' ),
        'description' => __( 'Enable looping of the slides.', 'ysp-business' ),
        'group'       => __( 'Slider', 'ysp-business' ),
    );

    $params[] = array(
        'type'        => 'textfield',
        'heading'     => __( 'Slider space between', 'ysp-business' ),
        'param_name'  => 'slider_space',
        'admin_label' => true,
        'group'       => __( 'Slider', 'ysp-business' ),
        'description' => __( 'Set the space between the slides in pixels (number only).', 'ysp-business' ),
    );

    $params[] = array(
        'type'        => 'checkbox',
        'heading'     => __( 'Slider pagination', 'ysp-business' ),
        'admin_label' => true,
        'param_name'  => 'slider_pagination',
        'value'       => array( __( 'Yes', 'ysp-business' ) => 'true' ),
        'description' => __( 'Enable slider pagination.', 'ysp-business' ),
        'group'       => __( 'Slider', 'ysp-business' ),
    );

    $params[] = array(
        'type'        => 'checkbox',
        'heading'     => __( 'Slider navigation', 'ysp-business' ),
        'admin_label' => true,
        'param_name'  => 'slider_navigation',
        'value'       => array( __( 'Yes', 'ysp-business' ) => 'true' ),
        'description' => __( 'Enable slider navigation.', 'ysp-business' ),
        'group'       => __( 'Slider', 'ysp-business' ),
    );

    $params[] = array(
        'type'        => 'colorpicker',
        'heading'     => __( 'Slider pagination color', 'ysp-business' ),
        'admin_label' => true,
        'param_name'  => 'slider_pagination_color',
        'value'       => '',
        'description' => __( 'Set slider pagination color.', 'ysp-business' ),
        'group'       => __( 'Slider', 'ysp-business' ),
    );

    $params[] = array(
        'type'        => 'colorpicker',
        'heading'     => __( 'Slider navigation color', 'ysp-business' ),
        'admin_label' => true,
        'param_name'  => 'slider_navigation_color',
        'value'       => '',
        'description' => __( 'Set slider navigation color.', 'ysp-business' ),
        'group'       => __( 'Slider', 'ysp-business' ),
    );

	$params[] = array(
		'type'        => 'dropdown',
		'heading'     => __( 'Address', YSP_BUSINESS_TEXT_DOMAIN ),
		'param_name'  => 'hide_address',
		'admin_label' => true,
		'value'       => array(
            __( 'Default', 'ysp-business' ) => '',
            __( 'Hide', 'ysp-business' ) => 'true',
            __( 'Custom', 'ysp-business' ) => 'custom',
        ),
        'std'         => '',
		'group'       => __( 'Labels', YSP_BUSINESS_TEXT_DOMAIN ),
	);

	$params[] = array(
		'type'        => 'textfield',
		'heading'     => '',
		'param_name'  => 'label_address',
		'value'       => '',
		'group'       => __( 'Labels', YSP_BUSINESS_TEXT_DOMAIN ),
		'description' => __( 'Add a custom address label', YSP_BUSINESS_TEXT_DOMAIN ),
        'dependency'  => array(
            'element' => 'hide_address',
            'value' => 'custom',
        ),
	);

	$params[] = array(
		'type'        => 'dropdown',
		'heading'     => __( 'Email address', YSP_BUSINESS_TEXT_DOMAIN ),
		'param_name'  => 'hide_email',
		'admin_label' => true,
		'value'       => array(
            __( 'Default', 'ysp-business' ) => '',
            __( 'Hide', 'ysp-business' ) => 'true',
            __( 'Custom', 'ysp-business' ) => 'custom',
        ),
        'std'         => '',
		'group'       => __( 'Labels', YSP_BUSINESS_TEXT_DOMAIN ),
	);

	$params[] = array(
		'type'        => 'textfield',
		'heading'     => '',
		'param_name'  => 'label_email',
		'value'       => '',
		'group'       => __( 'Labels', YSP_BUSINESS_TEXT_DOMAIN ),
		'description' => __( 'Add a custom email address label', YSP_BUSINESS_TEXT_DOMAIN ),
        'dependency'  => array(
            'element' => 'hide_email',
            'value' => 'custom',
        ),
	);

	$params[] = array(
		'type'        => 'dropdown',
		'heading'     => __( 'Phone number', YSP_BUSINESS_TEXT_DOMAIN ),
		'param_name'  => 'hide_phone',
		'admin_label' => true,
		'value'       => array(
            __( 'Default', 'ysp-business' ) => '',
            __( 'Hide', 'ysp-business' ) => 'true',
            __( 'Custom', 'ysp-business' ) => 'custom',
        ),
        'std'         => '',
		'group'       => __( 'Labels', YSP_BUSINESS_TEXT_DOMAIN ),
	);

	$params[] = array(
		'type'        => 'textfield',
		'heading'     => '',
		'param_name'  => 'label_phone',
		'value'       => '',
		'group'       => __( 'Labels', YSP_BUSINESS_TEXT_DOMAIN ),
		'description' => __( 'Add a custom phone number label', YSP_BUSINESS_TEXT_DOMAIN ),
        'dependency'  => array(
            'element' => 'hide_phone',
            'value' => 'custom',
        ),
	);

	$params[] = array(
		'type'        => 'dropdown',
		'heading'     => __( 'LinkedIn', YSP_BUSINESS_TEXT_DOMAIN ),
		'param_name'  => 'hide_linkedin',
		'admin_label' => true,
		'value'       => array(
            __( 'Default', 'ysp-business' ) => '',
            __( 'Hide', 'ysp-business' ) => 'true',
            __( 'Custom', 'ysp-business' ) => 'custom',
        ),
        'std'         => 'true',
		'group'       => __( 'Labels', YSP_BUSINESS_TEXT_DOMAIN ),
	);

	$params[] = array(
		'type'        => 'textfield',
		'heading'     => '',
		'param_name'  => 'label_linkedin',
		'value'       => '',
		'group'       => __( 'Labels', YSP_BUSINESS_TEXT_DOMAIN ),
		'description' => __( 'Add a custom LinkedIn label', YSP_BUSINESS_TEXT_DOMAIN ),
        'dependency'  => array(
            'element' => 'hide_linkedin',
            'value' => 'custom',
        ),
	);

    $params[] = array(
        'type'        => 'dropdown',
        'heading'     => __( 'Order by', 'ysp-business' ),
        'param_name'  => 'orderby',
        'admin_label' => true,
        'value'       => array(
            __( 'Date', 'ysp-business' )       => 'date',
            __( 'Menu order', 'ysp-business' ) => 'menu_order',
            __( 'Random', 'ysp-business' )     => 'rand',
        ),
        'std'         => 'menu_order',
        'group'       => __( 'Order', 'ysp-business' ),
        'description' => __( 'Select order by (default: Menu Order)', 'ysp-business' ),
    );

    $params[] = array(
        'type'        => 'dropdown',
        'heading'     => __( 'Order', 'ysp-business' ),
        'param_name'  => 'order',
        'admin_label' => true,
        'value'       => array(
            __( 'Ascendent', 'ysp-business' )  => 'ASC',
            __( 'Descendent', 'ysp-business' ) => 'DESC',
        ),
        'std'         => 'ASC',
        'group'       => __( 'Order', 'ysp-business' ),
        'description' => __( 'Select order of posts (default: Ascendent)', 'ysp-business' ),
    );

    $params[] = array(
        'type'        => 'textfield',
        'class'       => '',
        'heading'     => __( 'Custom CSS class', 'ysp-business' ),
        'param_name'  => 'class',
        'admin_label' => true,
        'value'       => '',
        'group'       => __( 'Advanced', 'ysp-business' ),
        'description' => __( 'Custom css class', 'ysp-business' ),
    );

    vc_map(
        array(
            'name'        => __( 'Office slider', 'ysp-business' ),
            'base'        => 'ysp_business_office_slider',
            'class'       => '',
            'category'    => __( 'Business', 'ysp-business' ),
            'description' => __( 'A slider containing offices', 'ysp-business' ),
            'params'      => $params,
            'icon'        => YSP_BUSINESS_VC_SYMBOL,
        )
    );
}