<?php
/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package yourstyle+
 */

get_header();
?>
	<div class="c-container">
        <div class="c-row">
            <div id="primary"<?php echo ysp_content_area_class(); ?>>
                <main id="main" class="site-main">
                    <?php
                        while (have_posts()) :
                            the_post();
                            ?>

                            <article id="post-<?php the_ID(); ?>" <?php post_class( 'office-article' ); ?>>

                                <header class="entry-header">
                                    <div class="entry-header__first">
                                        <div class="office-thumbnail">
                                            <?php echo get_the_post_thumbnail( get_the_ID(), 'large', array( 'class' => 'office-thumbnail__image' ) ); ?>
                                        </div>
                                    </div>
                                    <div class="entry-header__second">
                                        <div class="entry-header__second-top">
                                            <h1 class="office-name"><?php the_title(); ?></h1>
                                        </div>
                                        <div class="entry-header__second-bottom">
                                            <?php $address = get_post_meta( get_the_id(), '_office_address', true ); ?>
                                            <?php if ( ! empty( $address ) ) : ?>
                                                <div class="office-info__address">
                                                    <span class="office-icon"><?php echo YSP_Business_Helpers::get_icon( 'map-marker' ); ?></span>
                                                    <?php echo $address; ?>
                                                </div>
                                            <?php endif; ?>
                                            <?php $email_address = get_post_meta( get_the_id(), '_office_email_address', true ); ?>
                                            <?php if ( ! empty( $email_address ) ) : ?>
                                                <div class="office-info__email">
                                                    <span class="office-icon"><?php echo YSP_Business_Helpers::get_icon( 'envelope' ); ?></span>
                                                    <?php echo $email_address; ?>
                                                </div>
                                            <?php endif; ?>
                                            <?php $phone_number = get_post_meta( get_the_id(), '_office_phone_number', true ); ?>
                                            <?php if ( ! empty( $phone_number ) ) : ?>
                                                <div class="office-info__phone">
                                                    <span class="office-icon"><?php echo YSP_Business_Helpers::get_icon( 'phone' ); ?></span>
                                                    <?php echo $phone_number; ?>
                                                </div>
                                            <?php endif; ?>
                                            <?php $linkedin = get_post_meta( get_the_id(), '_office_linkedin', true ); ?>
                                            <?php if ( ! empty( $linkedin ) ) : ?>
                                                <div class="office-info__linkedin">
                                                    <span class="office-icon"><?php echo YSP_Business_Helpers::get_icon( 'linkedin' ); ?></span>
                                                    <?php echo sprintf(
                                                        '<a href="%s" target="_blank">%s</a>',
                                                        $linkedin,
                                                        __( 'LinkedIn', 'ysp-business' ),
                                                    ); ?>
                                                </div>
                                            <?php endif; ?>
                                            <?php
                                                $cats = get_the_terms( get_the_id(), 'office_category' );
                                                if ( ! empty( $cats ) ) {
                                                ?>
                                                <div class="office-info__categories">
                                                    <span class="office-icon"><?php echo YSP_Business_Helpers::get_icon( 'tags' ); ?></span>
                                                    <?php
                                                        $i = 0;
                                                        $numCats = count( $cats );
                                                        foreach ( $cats as $cat ) {
                                                            echo $cat->name;
                                                            if ( ++$i !== $numCats ) {
                                                                echo ' | ';
                                                            }
                                                        }
                                                    ?>
                                                </div>
                                                <?php
                                                }
                                            ?>
                                        </div>
                                    </div>
                                </header>

                                <div class="entry-content">
                                    <?php the_content(); ?>
                                </div>
                                
                                <footer class="entry-footer">
                                    <?php
                                        $entry_footer = sprintf(
                                            '<div class="office-employees">
                                                <h2 class="office-employees__title">%s</h2>
                                                %s
                                            </div>',
                                            __( 'Our employees', 'ysp-business' ),
                                            do_shortcode( '[ysp_business_employee_list per_line="4" office_id="'. get_the_id() .'" link_single="true" hide_position="hide"]' ),
                                        );
                                        // Filter: business_office_entry_footer
                                        echo apply_filters( 'business_office_single_entry_footer', $entry_footer );
                                    ?>
                                </footer>

                            </article>

                            <?php
                        endwhile;
                    ?>
                </main>
            </div>
        </div>
    </div>
<?php
get_footer();