<?php

/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @wordpress-plugin
 * Plugin Name:       Yourstyle - Business
 * Plugin URI:        http://your-style.nl
 * Description:       The WordPress plugin for your Business. Display your offices and employees on your website with Business by Yourstyle.
 * Version:           1.2.2
 * Author:            Yourstyle
 * Author URI:        http://your-style.nl
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       ysp-business
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * Currently plugin version.
 * Start at version 1.0.0 and use SemVer - https://semver.org
 * Rename this for your plugin and update it as you release new versions.
 */
define( 'YSP_BUSINESS_VERSION', '1.2.2' );
define( 'YSP_BUSINESS_URL' , plugin_dir_url( __FILE__ ) );
define( 'YSP_BUSINESS_DIR' , plugin_dir_path( __FILE__ ) );
define( 'YSP_BUSINESS_TEXT_DOMAIN' , 'ysp-business' );
define( 'YSP_BUSINESS_VC_SYMBOL', YSP_BUSINESS_URL. 'admin/assets/vc/images/ysp-symbol.svg' );

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/activator.php
 */
function activate_ysp_business() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/activator.php';
	Ysp_Business_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/deactivator.php
 */
function deactivate_ysp_business() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/deactivator.php';
	Ysp_Business_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_ysp_business' );
register_deactivation_hook( __FILE__, 'deactivate_ysp_business' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/ysp-business.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_ysp_business() {
	$plugin = new Ysp_Business();
	$plugin->run();
}
run_ysp_business();